Introduction

 Top Next

doPDF Printer is a virtual printer driver for Windows 2000/XP/XP x64/2003 Server/2003 Server x64/Vista/Vista x64. Instead of printing on paper, it creates Adobe compatible PDF files.

What is PDF?

Adobe PDF (Portable Document Format) is a universal file format that preserves the fonts, images, graphics, and layout of any source document, regardless of the application, hardware and operating system used to create it. PDF files are compact and complete, and can be shared, viewed, and printed by anyone with free Adobe Reader® software (or other third party PDF readers). PDF documents are also independent of the output device on which they are to be displayed or printed.

PDF has become the de facto standard for the electronic exchange of documents. Major corporations, government agencies, and educational institutions streamline their operations by replacing paper-based workflow with electronic exchange of information.

Why use doPDF Printer?

doPDF Printer converts any printable file into a PDF file. Its purpose is to enable users to exchange electronic documents easily, independently of the environment in which they were initially created. It also helps companies to publish reports, marketing plans, price lists, contracts, and any other documents in a portable electronic document format.

How to use doPDF?

All you have to do is to click Print from the application displaying the document and choose the doPDF to create PDF files. You can generate high-quality and searchable PDF files from any Windows application. If you have other questions on installing/using doPDF or want to share your opinion about it, visit our forums at http://www.dopdf.com/forum/

You can choose different options for the output PDF file, including custom paper size, resolution, portrait and landscape orientation, scale.

To create a PDF file you only need a windows application that can print (like Notepad or Wordpad).

To view PDF files, you need the FREE Adobe Acrobat Reader® (you can download it from www.adobe.com) or any other PDF viewer application.


Getting Started

 Top Previous Next

Printing a test page

After installation you can test if doPDF is working properly by printing a test page.

To print a test page in Windows Vista:

1. Go to Start and click on Printers (if you have the Classic menu go to Start->Settings->Printers)
2. In the Printers window, right-click doPDF and select Properties
3. In the doPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page.

To print a test page in Windows XP or Windows 2003 Server:

1. Go to Start and click on Printers and Faxes (if you have the Classic menu go to Start->Settings->Printers and Faxes)
2. In the Printers and Faxes window, right-click doPDF and select Properties
3. In the doPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page.

To print a test page in Windows 2000:

1. Go to Start and click on Printers
2. In the Printers window, right-click doPDF and select Properties
3. In the doPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page.

Accessing the doPDF Printing Preferences

You can access the Printing Preferences window and change the various settings available.

To access the doPDF Printing Preferences window in Windows Vista:

1. Go to Start and click on Printers (if you have the Classic menu go to Start->Settings->Printers)
2. In the Printers window, right-click doPDF and select Printing Preferences
3. doPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

To access the doPDF Printing Preferences window in Windows XP and Windows 2003 Server:

1. Go to Start and click on Printers and Faxes (if you have the Classic menu go to Start->Settings->Printers and Faxes)
2. In the Printers and Faxes window, right-click doPDF and select Printing Preferences
3. doPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

To access the doPDF Printing Preferences window in Windows 2000:

1. Go to Start and click on Printers
2. In the Printers window, right-click doPDF and select Printing Preferences
3. doPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

Creating PDF Files

doPDF installs itself as a virtual printer driver so there is no exe file to run in order to create PDF files.

To create PDF files, you just have to print your documents to the doPDF Printer, like you would print to a normal printer.

How to create PDF files from Microsoft Word

1. Open the Word document that you want to convert to a PDF file
2. Go to File->Print and select doPDF from the Printers combo-box
3. Click on Ok and choose a location for your PDF file

How to create PDF files from Microsoft WordPad

1. Open the document that you want to convert to a PDF file
2. Go to File->Print and select doPDF from the Printers' list
3. Click on Print and choose a location for your PDF file

How to create PDF files from NotePad

1. Open the NotePad document that you want to convert to a PDF file
2. Go to File->Print and select doPDF from the Printers' list
3. Click on Print and choose a location for your PDF file


System requirements

To install doPDF you need Windows 2000/XP/XP x64/2003 Server/2003 Server x64/2008 Server or Windows Vista/Vista x64 and approximately 10 megabytes of free disk space.


Features summary

Create PDF files

You can create fully compatible Adobe PDF files from any Windows application that supports printing.

Easy installation

There is a single installation file that automatically installs doPDF. Also there is an uninstaller utility that automatically uninstalls doPDF. You only need Windows 2000/XP/XP x64/2003 Server/2003 Server x64/Vista/Vista x64/2008 Server and approximately 10 megabytes of free disk space.

Easy to use

You don't need to learn a complex program. All you have to do is to click Print from any application that supports printing and choose doPDF to create PDF files.

Convert any document

doPDF converts any type of printable windows document including DOC, XLS, PPT, HTML and TXT.

Predefined paper sizes

doPDF supports several predefined paper sizes and also custom user defined paper sizes that can be saved and reused. You can also set printing resolution from 72 to 2400 dpi.

Searchable PDF files

You can search and extract text from the generated PDF files.

Language

During doPDF setup you can choose what languages to be installed for doPDF user interface. You can change the language at runtime using the Languages tab.


Page

The main page of the Printing Preferences window allows you to select a predefined page size, define a custom page size, change the page orientation, preview your selection, set the resolution, scale.

The window can be opened by choosing the Printing Preferences menu item when doPDF is selected in the Printers and Faxes window. It is also accessible form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when doPDF is selected.

Page size

This group allows you to select one of the predefined page sizes or enter a custom page size.

Predefined

You can select a predefined form from the drop down list when this option is selected. The width and height of the selected form are shown in the fields below.

Customize

If you want to print to a custom page size only once and don't need the same size in the future, you can select the Customize radio button and type the desired page width and height. The values will not be preserved for future use.

Width

You can set the page width between 10 and 10000 millimeters by entering a value or pressing the Up and Down arrows. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's width.

Height

You can set the page height between 10 and 10000 millimeters by entering a value or pressing the Up and Down arrows. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's height.

Units

You can change the measurement units from the Units drop down list. The available values are millimeters, inches and points. Changing the units will recalculate the Width and Height values.

Orientation

Specifies how the page is positioned. Available options are Portrait and Landscape. The orientation can also be set from the printing application.

Portrait

Portrait orients the print vertically (longest edge of the page is vertical).

Landscape

Landscape orients the print horizontally (longest edge of the page is horizontal).

Preview

Shows a graphic representation of the PDF page highlighting important settings like page size, margins and zoom.

Graphic

Specifies the resolution and scale of the document.

Resolution

You can set the printing resolution between 72 and 2400 dpi by selecting the default values from the drop down list or entering a different value. A smaller resolution results in smaller PDF file, but lower image quality, while a higher resolution means better image quality, but bigger PDF file. The default value is 300 dpi. The resolution can also be set from the printing application.

Scale

You can set the scale of the document from 1% to 400% by entering a value or pressing the Up and Down arrows. The scale factor can also be set from the printing application.

NOTE

Some applications allow you to set page size, orientation, scale and resolution from their own printing dialogs. If you open the doPDF Printing Preferences dialog from the printing application, you will see these settings are automatically updated on the first page.


Language

The Language page of the Printing Preferences allows you to set the language for the Printing Preferences page.

The window can be opened by choosing the Printing Preferences menu item when doPDF is selected in the Printers and Faxes window and clicking the Language tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when doPDF is selected.

Use user's regional settings

If you check this option, the language will be automatically selected depending on each user regional setting. If the user language is not available in doPDF, the default language is chosen (English).

Select Language

If you want all users to use the same language, select one of the languages in the Select language combo-box.


About

 Top Previous

The About page of the Printing Preferences contains information about the version you have installed as well as information about other projects developed by Softland.

The window can be opened by choosing the Printing Preferences menu item when doPDF is selected in the Printers and Faxes window and clicking the About tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when doPDF is selected.


CSHelp.txt

This dialog can be opened from the About page. It shows a list of features available in your edition of novaPDF Printer. The Enabled column shows if the feature is available or not.